<?php
/* Metodos de acceso a los campos de la tabla PRD_OrdenDet redefinidos por el usuario */
class PRD_OrdenDetBN extends BasePRD_OrdenDetBN
{
    public function getObjectItem()
    {
        $o_ALM_ItemMastFN = new ALM_ItemMastFN();
        $o_ALM_ItemMastBN = $o_ALM_ItemMastFN->selectByPK( $this->getIdItem() );
        if( !$o_ALM_ItemMastBN )
        {
            $o_ALM_ItemMastBN = new ALM_ItemMastBN();
        }
        return $o_ALM_ItemMastBN;
    }

    public function getObjectUnidad()
    {
        $o_MST_UnidadMastFN = new MST_UnidadMastFN();
        $o_MST_UnidadMastBN = $o_MST_UnidadMastFN->selectByPK( $this->getIdUnidad() );
        return $o_MST_UnidadMastBN;
    }
}
?>